Name:    ck
Version: 0.7.1
Release: 2
Summary: Concurrency programming lib
License: BSD
URL:	 http://concurrencykit.org/
Source0: https://github.com/concurrencykit/%{name}/archive/refs/tags/%{version}.tar.gz
Patch1:  ck-Add-sw64-architecture.patch

BuildRequires: 	gcc autoconf automake 

%description
Concurrency primitives, safe memory reclamation mechanisms and non-blocking data structures for the research, design and implementation of high performance concurrent systems. 

%package devel
Summary: Concurrency programming devel package
Requires: %{name} = %{version}-%{release}

%description devel
Concurrency primitives, safe memory reclamation mechanisms and non-blocking data structures for the research, design and implementation of high performance concurrent systems. 



%prep
%setup -q -n %{name}-%{version}/
%ifarch sw_64
%patch1 -p1
%endif

%build
export CFLAGS="${RPM_OPT_FLAGS}"
./configure --libdir=%{_libdir} --includedir=%{_includedir}/%{name} --mandir=%{_mandir} --prefix=%{_prefix}
%ifarch sw_64
cp build/ck.build.aarch64 build/ck.build.sw_64
%endif
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/libck.a

%pre
%preun
%post
%postun

%check

%files
%license LICENSE 
%{_libdir}/libck.so.*

%files devel
%{_includedir}/*
%{_libdir}/libck.so
%{_mandir}/*
%{_libdir}/pkgconfig/*

%ldconfig_scriptlets

%changelog
* Wed Oct 19 2022 wuzx<wuzx1226@qq.com> - 0.7.1-2
- add sw64 patch

* Sun Sep 04 2022 tianlijing <tianlijing@kylinos.cn> - 0.7.1-1
- update to 0.7.1

* Tue Sep 07 2021 lingsheng <lingsheng@huawei.com> - 0.6.0-2
- Set CFLAGS to build debug related rpm

* Sun Mar 29 2020 Wei Xiong <myeuler@163.com> - 0.6.0-1
- Package init

